package org.bitbucket.lp.maven.plugins.svuid.transformers;

public abstract class Transformer {

    /**
     * Returns a new serialVersionUidValue to use according to the old one.
     * 
     * @param oldSerialVersionUidValue
     * 
     * @return a new serialVersionUidValue to use according to the old one, or
     *         {@code -1} if the value does not have to be updated.
     */
    public abstract long apply(long oldSerialVersionUidValue);

}
